Package com.zfabrik.impl.components.java

## Class BuildHelper

- java.lang.Object
- - com.zfabrik.impl.components.java.BuildHelper

-     public class BuildHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.io.FileFilter` | `ALL_BUT_HIDDEN` |
    `static java.io.FileFilter` | `ALL_FILES` |
    `static java.io.FileFilter` | `ALL_NON_JAVA_FILES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `compileAndJar​(java.lang.String cname, java.io.File instanceFolder, java.io.File[] srcs, java.io.File gen, java.io.File jar, java.lang.ClassLoader cl, com.zfabrik.components.java.build.ICompiler compiler, com.zfabrik.components.java.IJavaComponent.Part part)` |
    `static void` | `delete​(java.io.File g)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ALL_NON_JAVA_FILES

          public static java.io.FileFilter ALL_NON_JAVA_FILES

    - #### ALL_FILES

          public static java.io.FileFilter ALL_FILES

    - #### ALL_BUT_HIDDEN

          public static java.io.FileFilter ALL_BUT_HIDDEN

  - ### Constructor Detail

    - #### BuildHelper

          public BuildHelper()

  - ### Method Detail

    - #### delete

          public static void delete​(java.io.File g)

    - #### compileAndJar

          public static void compileAndJar​(java.lang.String cname,
                                           java.io.File instanceFolder,
                                           java.io.File[] srcs,
                                           java.io.File gen,
                                           java.io.File jar,
                                           java.lang.ClassLoader cl,
                                           com.zfabrik.components.java.build.ICompiler compiler,
                                           com.zfabrik.components.java.IJavaComponent.Part part)